> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a request

GET https://api.getpostman.com/collections/{collectionId}/requests/{requestId}

Gets information about a request in a collection.

Reference: https://learning.postman.com/api-docs/api-reference/collection-items/get-collection-request

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/{collectionId}/requests/{requestId}:
    get:
      operationId: getCollectionRequest
      summary: Get a request
      description: Gets information about a request in a collection.
      tags:
        - collectionItems
      parameters:
        - name: requestId
          in: path
          description: The request's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionRequestId'
        - name: collectionId
          in: path
          description: The collection's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionId'
        - name: ids
          in: query
          description: >-
            If true, returns only properties that contain ID values in the
            response.
          required: false
          schema:
            $ref: '#/components/schemas/booleanQuery'
        - name: uid
          in: query
          description: If true, returns all IDs in UID format (`userId`-`id`).
          required: false
          schema:
            $ref: '#/components/schemas/booleanQuery'
        - name: populate
          in: query
          description: If true, returns all of the collection item's contents.
          required: false
          schema:
            $ref: '#/components/schemas/booleanQuery'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getCollectionRequest'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCollectionRequestRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionRequestId:
      type: string
      title: collectionRequestId
    collectionId:
      type: string
      title: collectionId
    booleanQuery:
      type: boolean
      title: booleanQuery
    GetCollectionRequestData:
      type: object
      properties:
        id:
          type: string
          description: The request's ID.
        name:
          type: string
          description: The request's name.
        owner:
          type: string
          description: The user ID of the request's owner.
        lastRevision:
          type: integer
          format: int64
          description: >-
            An internal revision ID. Its value increments each time the resource
            changes. You can use this ID to track whether there were changes
            since the last time you fetched the resource.
        lastUpdatedBy:
          type: string
          description: The user ID of the user that last updated the request.
        createdAt:
          type: string
          format: date-time
          description: The request's creation date and time.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the request was last updated.
      description: >-
        Information about the request. For a complete list of properties, refer
        to the **Request** entry in the [Postman Collection Format
        documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      title: GetCollectionRequestData
    getCollectionRequest:
      type: object
      properties:
        model_id:
          type: string
          description: The request's ID.
        meta:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            A Postman-specific response that contains information about the
            internal performed operation.
        data:
          $ref: '#/components/schemas/GetCollectionRequestData'
          description: >-
            Information about the request. For a complete list of properties,
            refer to the **Request** entry in the [Postman Collection Format
            documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      title: getCollectionRequest
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetCollectionRequestRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRequestRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "model_id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "meta": {
    "action": "find",
    "changeset": false,
    "model": "request",
    "populate": false
  },
  "data": {
    "id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "name": "Example GET Request",
    "owner": "12345678",
    "lastRevision": 32206434799,
    "lastUpdatedBy": "12345678",
    "createdAt": "2023-08-22T12:52:01.000Z",
    "updatedAt": "2023-08-22T12:52:11.000Z",
    "auth": null,
    "collection": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "currentHelper": null,
    "data": null,
    "dataDisabled": false,
    "dataMode": null,
    "description": "This is an example GET request.",
    "descriptionFormat": null,
    "events": null,
    "folder": null,
    "headerData": [],
    "headers": null,
    "helperAttributes": null,
    "method": "GET",
    "pathVariableData": [],
    "pathVariables": {},
    "preRequestScript": null,
    "protocolProfileBehavior": {
      "disableBodyPruning": true
    },
    "queryParams": [
      {
        "description": "Optional. The user's ID.",
        "enabled": true,
        "equals": true,
        "key": "id",
        "value": "{{id}}"
      }
    ],
    "rawModeData": null,
    "responses_order": [],
    "tests": "var data = JSON.parse(responseBody);",
    "url": "https://postman-echo.com/get",
    "variables": null
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/requests/c82dd02c-4870-4907-8fcb-593a876cf05b")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```